aboutsummaryrefslogtreecommitdiffstats
path: root/sys/nixpkgs/pkgs/update_pkgs
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
committerSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
commitf2bdeaed0bcf97a880fe36cfc8a050d1643120b8 (patch)
treeba4fe9c3ddf076529701c0e776ffef2104ac23d5 /sys/nixpkgs/pkgs/update_pkgs
parentrefactor(treewide): Add a `.sh` extension to shell scripts (diff)
downloadnixos-config-f2bdeaed0bcf97a880fe36cfc8a050d1643120b8.zip
refactor(treewide): Reformat all files with treefmt
This includes getting all shellscripts to pass shellcheck. To accomplish this, some old scripts were removed
Diffstat (limited to '')
-rwxr-xr-xsys/nixpkgs/pkgs/update_pkgs.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/sys/nixpkgs/pkgs/update_pkgs.sh b/sys/nixpkgs/pkgs/update_pkgs.sh
index 8392fb1c..be1573c6 100755
--- a/sys/nixpkgs/pkgs/update_pkgs.sh
+++ b/sys/nixpkgs/pkgs/update_pkgs.sh
@@ -1,18 +1,17 @@
#!/usr/bin/env sh
die() {
- printf "\033[31;1mError: \033[0m%s" "$1";
+ printf "\033[31;1mError: \033[0m%s" "$1"
exit 1
}
cd "$(dirname "$0")" || die "Bug: run with false dirname ('$0')!"
-
fd . --type directory --max-depth 1 | while read -r dir; do
cd "$dir" || die "Dir '$dir' does not exist"
if [ -f update.sh ]; then
- printf "\033[34;1m> \033[0m\033[34;1m%s\033[0m\n" "Running '${dir}update.sh'";
+ printf "\033[34;1m> \033[0m\033[34;1m%s\033[0m\n" "Running '${dir}update.sh'"
[ -f flake.nix ] && nix flake update
@@ -20,8 +19,7 @@ fd . --type directory --max-depth 1 | while read -r dir; do
eval "$(direnv export bash 2>/dev/null)"
./update.sh "$@"
fi
- cd - > /dev/null || die "Bug: Last dir does not exist"
+ cd - >/dev/null || die "Bug: Last dir does not exist"
done
-
# vim: ft=sh